Bug 467796 - Volume keys are not mapped on XO
Volume keys are not mapped on XO
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On: FedoraXOKeyboard
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-10-20 17:51 EDT by Steve Salevan
Modified: 2009-05-07 23:07 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-07 23:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xev output for accelerator keypresses (16.00 KB, text/plain)
2008-10-25 11:00 EDT, Steve Salevan
no flags Details

  None (edit)
Description Steve Salevan 2008-10-20 17:51:57 EDT
Description of problem:
The volume keys on the XO keyboard do not modify the system volume

Version-Release number of selected component (if applicable):
F10-Live-Snap2

How reproducible:
Always

Steps to Reproduce:
1. Boot the XO and log in
2. Press the volume keys
  
Actual results:
Volume is not modified

Expected results:
Volume is modified

Additional info:
Comment 1 Jeremy Katz 2008-10-20 20:32:47 EDT
Are they being recognized or do they cause messages in dmesg?

If the former, can you run xev and press them and see what it reports?
Comment 2 Martin Dengler 2008-10-24 11:49:51 EDT
The keys are just F9 (volume down) and F10 (volume up).
Comment 3 Martin Dengler 2008-10-24 11:55:32 EDT
(In reply to comment #2)
> The keys are just F9 (volume down) and F10 (volume up).

sorry, F11 and F12 for vol down and vol up, respectively (F9 and F10 are brightness down and brightness up).
Comment 4 Steve Salevan 2008-10-25 11:00:08 EDT
Created attachment 321506 [details]
xev output for accelerator keypresses

I've attached the xev output from pressing the volume up/down accelerator keys, and it appears that, indeed, they are mapped to F11/F12 (down/up, respectively).
Comment 6 Bug Zapper 2008-11-25 23:03:11 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Simon Schampijer 2009-02-25 04:09:15 EST
Not sure - to fully understand the bug here. 

If it is about matching the available keyboard keys to alter the volume, see this upstream bug http://dev.sugarlabs.org/ticket/430
Comment 8 Bastien Nocera 2009-05-07 23:07:51 EDT
You can change which key does volume up/volume down in the "keyboard shortcuts" preferences. If you want this to work by default, you'll need to fix your keymap to throw XF86VolumeUp/XF86VolumeDown. We can't guess whether you want to press F11 or change the volume :)

You probably access the volume up/down function through an Fn key combination though, in which case this needs to be fixed in hal-info. See also:
http://people.freedesktop.org/~hughsient/quirk/quirk-keymap-index.html

Note You need to log in before you can comment on or make changes to this bug.